Page MenuHomePhabricator

NumberInputWidget prone to 1px wobble in MW theme
Closed, ResolvedPublic

Description

(v0.17.7)
Borders don't quite line up sometimes – horizontally and vertically

Event Timeline

Esanders created this task.Jun 11 2015, 3:10 PM
Esanders updated the task description. (Show Details)
Esanders raised the priority of this task from to Needs Triage.
Esanders added a project: OOUI.
Esanders added subscribers: Esanders, Aklapper.

I'm pretty sure this is caused by rounding errors of the multiplications of tiny em values, same as T94494 and T93636, and therefore hopeless.

@matmarex We could maybe set a min-height on this special one...? And at least lower the pain.

Maybe? Not sure if that would help. I say we do T94750 and see if that helps.

On closer inspection, I can still reproduce with Firefox and IE 11, but not other browsers.

There is a multi pixel error on API sandbox:

Yeah, that's because of T97631.

Jdforrester-WMF triaged this task as Low priority.Mar 22 2016, 6:39 PM
Jdforrester-WMF set Security to None.
Krinkle removed a subscriber: Krinkle.Mar 22 2016, 7:40 PM
Volker_E claimed this task.Aug 4 2016, 8:30 PM
Volker_E updated the task description. (Show Details)
Restricted Application added a project: UI-Standardization. · View Herald TranscriptAug 4 2016, 8:30 PM

Change 297260 had a related patch set uploaded (by VolkerE):
MediaWiki theme: Ensure framed buttons are same height

https://gerrit.wikimedia.org/r/297260

Volker_E moved this task from Unsorted to OOUI on the UI-Standardization board.Aug 5 2016, 7:22 PM

Change 303338 had a related patch set uploaded (by VolkerE):
MediaWiki theme: Fix misalignment of widgets by applying pixel min-height

https://gerrit.wikimedia.org/r/303338

Volker_E updated the task description. (Show Details)Aug 6 2016, 4:09 AM
Volker_E added subscribers: Jdforrester-WMF, RHo.
Volker_E moved this task from Backlog to Reviewing on the OOUI board.Aug 11 2016, 9:36 PM
Volker_E raised the priority of this task from Low to High.

Change 315456 had a related patch set uploaded (by VolkerE):
MediaWiki theme: Address subpixel rendering errors in NumberInputWidget

https://gerrit.wikimedia.org/r/315456

Volker_E added a comment.EditedOct 12 2016, 5:55 AM
BeforeWith 315456
Chrome 53/OS X
Firefox 49/OS X
Chrome 53/Win
IE 11/Win

Seems to tame, but not to solve… :/

Change 315456 merged by jenkins-bot:
MediaWiki theme: Address subpixel rendering errors in buttoned widgets

https://gerrit.wikimedia.org/r/315456

Still not Resolved?

Jdforrester-WMF moved this task from Reviewing to Next-up on the OOUI board.Nov 29 2016, 11:19 PM

315456 seemed to just have a positive effect on Chrome/Mac OS X.


Edge 14 Win 10 (via BrowserStack)

Volker_E moved this task from Next-up to Reviewing on the OOUI board.Mar 12 2017, 6:15 AM

Change 297260 abandoned by VolkerE:
MediaWiki theme: Ensure framed buttons are same height

Reason:
Abandoned in favor of Ic2935cb5d9 and I9a2d3975927

https://gerrit.wikimedia.org/r/297260

Change 342323 had a related patch set uploaded (by VolkerE):
[oojs/ui] NumberInputWidget: Set input to 100% height

https://gerrit.wikimedia.org/r/342323

Change 342323 merged by jenkins-bot:
[oojs/ui] NumberInputWidget: Set input to 100% height

https://gerrit.wikimedia.org/r/342323

Volker_E moved this task from Reviewing to OOjs-UI-0.20.0 on the OOUI board.Mar 14 2017, 7:22 PM
Volker_E edited projects, added OOUI (OOjs-UI-0.20.0); removed OOUI.

Change 303338 abandoned by VolkerE:
MediaWiki theme: Fix misalignment of widgets by applying pixel min-height

Reason:
Resolved through several other patches in the meantime :)

https://gerrit.wikimedia.org/r/303338

Volker_E removed a subscriber: gerritbot.
Volker_E closed this task as Resolved.Mar 22 2017, 11:10 PM